Macro Cannont Be Cast Error

Example: I'm using v 2.0.7 or 2.0.x of the plugin but it is not accepting my license.

Errors


“Error rendering macro ‘multiexcerpt-include’ : com.atlassian.upm.license.internal.impl.PluginLicenseManagerImpl cannot be cast to com.atlassian.upm.api.license.PluginLicenseManager”

Error creating bean with name 'pluginLicenseStoragePluginInstaller' defined in URL [bundle://XXX:0/META-INF/spring/atlassian-plugins-components.xml]: 
Instantiation of bean failed; nested exception is java.lang.NoClassDefFoundError: org/slf4j/LoggerFactory

Tips

For both of the above cases please try upgrading your UPM "Universal Plugin Manager" to the latest. This is done through the Confluence -> Administration -> Settings -> Manage Apps. You can search for the "Atlassian UPM". You can also find the UPM on the Atlassian Marketplace

Upgrading the UPM has been reported by other users to fix this problem.


If you cannot upgrade the UPM for some reason, then you can roll back to an earlier version of the MultiExcerpt if that was working for you. All older releases are available here: https://artemis.atlassian.net/wiki/display/CMEP/releases

Related Articles